import { userData } from "./Classes/userData";
import { lobbyMessage } from "./Classes/lobbyMessage";
import { lobbyState } from "./Classes/lobbyState";
const fs = require('fs');

export class game{
    static socketIO : any

    static itemCount : number = 0
    static accountsDB : userData[] = []

    /** Key: socket ID*/
    static lobbyState : lobbyState = new lobbyState()

    /** Max items: 20 */
    static messages : lobbyMessage[] = [];

    static addMessage(message:lobbyMessage) {
        while(game.messages.length >= 20){
            game.messages.pop();
        }

        game.messages.unshift(message)
        game.socketIO.emit('lobby/messages', JSON.stringify(game.messages))
    }
}