import { itemData } from "./itemData";
import { playerData } from "./playerData";

export class userData{
    id: number;
    checksum: number;
    login: string;
    password: string;
    playerData: playerData = null

    constructor(id:number, login:string, password:string){
        this.id = id;
        this.login = login;
        this.password = password;
        this.checksum = 0;
    }

    static makeSafe(user : userData, socketId : string){
        let safeUser : any = Object.assign({}, user);
        safeUser.socketId = socketId
        delete safeUser.password
        delete safeUser.checksum
        return safeUser
    }
}